package com.chaozhanggui.dao.system.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

public class TbPlussMerchantOrderOldLs implements Serializable {
    private Integer id;

    private String ordernumber;

    private String userimg;

    private String nickname;

    private String ordertype;

    private String merchantcode;

    private String merchantname;

    private String paytypecode;

    private String paytypename;

    private String thirdtransno;

    private String storeid;

    private String storename;

    private Double consumefee;

    private String transno;

    private String membercode;

    private Date createdt;

    private Date transdt;

    private String staffcode;

    private String staffname;

    private String status;

    private Double enterfee;

    private String aisleswitch;

    private String remark;

    private Date updatetime;

    private BigDecimal rate;

    private BigDecimal marketamt;

    private String mercorderno;

    private String mercnotifyurl;

    private String mercuserid;

    private String mercnotifystatus;

    private String mercremark;

    private String isrecharge;

    private String snno;

    private Integer cashplaceid;

    private Boolean settlementtype;

    private Double fanssharemoney;

    private Double profitsharemoney;

    private String drtype;

    private BigDecimal channelrate;

    private BigDecimal channelfee;

    private BigDecimal mercfee;

    private String ip;

    private String ipaddress;

    private String mercreturnurl;

    private String channeltype;

    private Date createdate;

    private String preauthstatus;

    private BigDecimal refundamt;

    private String paydata;

    private static final long serialVersionUID = 1L;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getOrdernumber() {
        return ordernumber;
    }

    public void setOrdernumber(String ordernumber) {
        this.ordernumber = ordernumber == null ? null : ordernumber.trim();
    }

    public String getUserimg() {
        return userimg;
    }

    public void setUserimg(String userimg) {
        this.userimg = userimg == null ? null : userimg.trim();
    }

    public String getNickname() {
        return nickname;
    }

    public void setNickname(String nickname) {
        this.nickname = nickname == null ? null : nickname.trim();
    }

    public String getOrdertype() {
        return ordertype;
    }

    public void setOrdertype(String ordertype) {
        this.ordertype = ordertype == null ? null : ordertype.trim();
    }

    public String getMerchantcode() {
        return merchantcode;
    }

    public void setMerchantcode(String merchantcode) {
        this.merchantcode = merchantcode == null ? null : merchantcode.trim();
    }

    public String getMerchantname() {
        return merchantname;
    }

    public void setMerchantname(String merchantname) {
        this.merchantname = merchantname == null ? null : merchantname.trim();
    }

    public String getPaytypecode() {
        return paytypecode;
    }

    public void setPaytypecode(String paytypecode) {
        this.paytypecode = paytypecode == null ? null : paytypecode.trim();
    }

    public String getPaytypename() {
        return paytypename;
    }

    public void setPaytypename(String paytypename) {
        this.paytypename = paytypename == null ? null : paytypename.trim();
    }

    public String getThirdtransno() {
        return thirdtransno;
    }

    public void setThirdtransno(String thirdtransno) {
        this.thirdtransno = thirdtransno == null ? null : thirdtransno.trim();
    }

    public String getStoreid() {
        return storeid;
    }

    public void setStoreid(String storeid) {
        this.storeid = storeid == null ? null : storeid.trim();
    }

    public String getStorename() {
        return storename;
    }

    public void setStorename(String storename) {
        this.storename = storename == null ? null : storename.trim();
    }

    public Double getConsumefee() {
        return consumefee;
    }

    public void setConsumefee(Double consumefee) {
        this.consumefee = consumefee;
    }

    public String getTransno() {
        return transno;
    }

    public void setTransno(String transno) {
        this.transno = transno == null ? null : transno.trim();
    }

    public String getMembercode() {
        return membercode;
    }

    public void setMembercode(String membercode) {
        this.membercode = membercode == null ? null : membercode.trim();
    }

    public Date getCreatedt() {
        return createdt;
    }

    public void setCreatedt(Date createdt) {
        this.createdt = createdt;
    }

    public Date getTransdt() {
        return transdt;
    }

    public void setTransdt(Date transdt) {
        this.transdt = transdt;
    }

    public String getStaffcode() {
        return staffcode;
    }

    public void setStaffcode(String staffcode) {
        this.staffcode = staffcode == null ? null : staffcode.trim();
    }

    public String getStaffname() {
        return staffname;
    }

    public void setStaffname(String staffname) {
        this.staffname = staffname == null ? null : staffname.trim();
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status == null ? null : status.trim();
    }

    public Double getEnterfee() {
        return enterfee;
    }

    public void setEnterfee(Double enterfee) {
        this.enterfee = enterfee;
    }

    public String getAisleswitch() {
        return aisleswitch;
    }

    public void setAisleswitch(String aisleswitch) {
        this.aisleswitch = aisleswitch == null ? null : aisleswitch.trim();
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark == null ? null : remark.trim();
    }

    public Date getUpdatetime() {
        return updatetime;
    }

    public void setUpdatetime(Date updatetime) {
        this.updatetime = updatetime;
    }

    public BigDecimal getRate() {
        return rate;
    }

    public void setRate(BigDecimal rate) {
        this.rate = rate;
    }

    public BigDecimal getMarketamt() {
        return marketamt;
    }

    public void setMarketamt(BigDecimal marketamt) {
        this.marketamt = marketamt;
    }

    public String getMercorderno() {
        return mercorderno;
    }

    public void setMercorderno(String mercorderno) {
        this.mercorderno = mercorderno == null ? null : mercorderno.trim();
    }

    public String getMercnotifyurl() {
        return mercnotifyurl;
    }

    public void setMercnotifyurl(String mercnotifyurl) {
        this.mercnotifyurl = mercnotifyurl == null ? null : mercnotifyurl.trim();
    }

    public String getMercuserid() {
        return mercuserid;
    }

    public void setMercuserid(String mercuserid) {
        this.mercuserid = mercuserid == null ? null : mercuserid.trim();
    }

    public String getMercnotifystatus() {
        return mercnotifystatus;
    }

    public void setMercnotifystatus(String mercnotifystatus) {
        this.mercnotifystatus = mercnotifystatus == null ? null : mercnotifystatus.trim();
    }

    public String getMercremark() {
        return mercremark;
    }

    public void setMercremark(String mercremark) {
        this.mercremark = mercremark == null ? null : mercremark.trim();
    }

    public String getIsrecharge() {
        return isrecharge;
    }

    public void setIsrecharge(String isrecharge) {
        this.isrecharge = isrecharge == null ? null : isrecharge.trim();
    }

    public String getSnno() {
        return snno;
    }

    public void setSnno(String snno) {
        this.snno = snno == null ? null : snno.trim();
    }

    public Integer getCashplaceid() {
        return cashplaceid;
    }

    public void setCashplaceid(Integer cashplaceid) {
        this.cashplaceid = cashplaceid;
    }

    public Boolean getSettlementtype() {
        return settlementtype;
    }

    public void setSettlementtype(Boolean settlementtype) {
        this.settlementtype = settlementtype;
    }

    public Double getFanssharemoney() {
        return fanssharemoney;
    }

    public void setFanssharemoney(Double fanssharemoney) {
        this.fanssharemoney = fanssharemoney;
    }

    public Double getProfitsharemoney() {
        return profitsharemoney;
    }

    public void setProfitsharemoney(Double profitsharemoney) {
        this.profitsharemoney = profitsharemoney;
    }

    public String getDrtype() {
        return drtype;
    }

    public void setDrtype(String drtype) {
        this.drtype = drtype == null ? null : drtype.trim();
    }

    public BigDecimal getChannelrate() {
        return channelrate;
    }

    public void setChannelrate(BigDecimal channelrate) {
        this.channelrate = channelrate;
    }

    public BigDecimal getChannelfee() {
        return channelfee;
    }

    public void setChannelfee(BigDecimal channelfee) {
        this.channelfee = channelfee;
    }

    public BigDecimal getMercfee() {
        return mercfee;
    }

    public void setMercfee(BigDecimal mercfee) {
        this.mercfee = mercfee;
    }

    public String getIp() {
        return ip;
    }

    public void setIp(String ip) {
        this.ip = ip == null ? null : ip.trim();
    }

    public String getIpaddress() {
        return ipaddress;
    }

    public void setIpaddress(String ipaddress) {
        this.ipaddress = ipaddress == null ? null : ipaddress.trim();
    }

    public String getMercreturnurl() {
        return mercreturnurl;
    }

    public void setMercreturnurl(String mercreturnurl) {
        this.mercreturnurl = mercreturnurl == null ? null : mercreturnurl.trim();
    }

    public String getChanneltype() {
        return channeltype;
    }

    public void setChanneltype(String channeltype) {
        this.channeltype = channeltype == null ? null : channeltype.trim();
    }

    public Date getCreatedate() {
        return createdate;
    }

    public void setCreatedate(Date createdate) {
        this.createdate = createdate;
    }

    public String getPreauthstatus() {
        return preauthstatus;
    }

    public void setPreauthstatus(String preauthstatus) {
        this.preauthstatus = preauthstatus == null ? null : preauthstatus.trim();
    }

    public BigDecimal getRefundamt() {
        return refundamt;
    }

    public void setRefundamt(BigDecimal refundamt) {
        this.refundamt = refundamt;
    }

    public String getPaydata() {
        return paydata;
    }

    public void setPaydata(String paydata) {
        this.paydata = paydata == null ? null : paydata.trim();
    }
}